## hipercontracer-2.0.12.tar.xz

=== CMakeLists.txt ===
# ==========================================================================
#     _   _ _ ____            ____          _____
#    | | | (_)  _ \ ___ _ __ / ___|___  _ _|_   _| __ __ _  ___ ___ _ __
#    | |_| | | |_) / _ \ '__| |   / _ \| '_ \| || '__/ _` |/ __/ _ \ '__|
#    |  _  | |  __/  __/ |  | |__| (_) | | | | || | | (_| | (_|  __/ |
#    |_| |_|_|_|   \___|_|   \____\___/|_| |_|_||_|  \__,_|\___\___|_|
#
#       ---  High-Performance Connectivity Tracer (HiPerConTracer)  ---
#                 https://www.nntb.no/~dreibh/hipercontracer/
# ==========================================================================
#
# High-Performance Connectivity Tracer (HiPerConTracer)
# Copyright (C) 2015-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: dreibh@simula.no

CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
PROJECT(hipercontracer LANGUAGES C CXX)

SET(BUILD_MAJOR "2")
SET(BUILD_MINOR "0")
SET(BUILD_PATCH "12")
SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})

# HiPerConTracer needs at least C++17!
SET(CMAKE_CXX_STANDARD 17)


#############################################################################
#### INSTALLATION_DIRECTORIES                                            ####
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#############################################################################
#### PACKAGING                                                           ####
#############################################################################

SET(CPACK_SOURCE_GENERATOR "TXZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES "\\\\.git;\\\\.swp$;~$;\\\\.\\\\#;/\\\\#")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}[_-]")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "\\\\.cmake$|\\\\.make$|\\\\.log$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/CMakeCache\\\\.txt$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/(CMakeFiles|CMakeScripts|_CPack_Packages)/")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/package-version\\\\.h$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/packaging\\\\.conf$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/(po.*/|src.*/|)Makefile$")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


#############################################################################
#### UNINSTALL                                                           ####
#############################################################################

IF(NOT TARGET uninstall)
   CONFIGURE_FILE(
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
      IMMEDIATE @ONLY)

   ADD_CUSTOM_TARGET(uninstall
      COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
ENDIF()


#############################################################################
#### OS DEPENDENT                                                        ####
#############################################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib" "/usr/local/lib/mariadb")
    INCLUDE_DIRECTORIES("/usr/local/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")

ELSE()
    MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()


#############################################################################
#### OPTIONS                                                             ####
#############################################################################

INCLUDE(CheckIncludeFile)
INCLUDE(CheckStructHasMember)
INCLUDE(CheckCCompilerFlag)

OPTION(WITH_STATIC_LIBRARIES "Build static libraries"              0)
OPTION(WITH_SHARED_LIBRARIES "Build shared libraries"              1)
OPTION(STATIC_BUILD          "Build statically-linked executables" 0)
IF ((NOT WITH_STATIC_LIBRARIES) AND (NOT WITH_SHARED_LIBRARIES))
   MESSAGE(FATAL_ERROR "Static (WITH_STATIC_LIBRARIES) or shared (WITH_SHARED_LIBRARIES) libraries must be enabled!")
ENDIF()

IF (STATIC_BUILD)
   IF (WITH_SHARED_LIBRARIES)
      MESSAGE(FATAL_ERROR "WITH_STATIC_LIBRARIES=ON cannot be used with WITH_SHARED_LIBRARIES=ON!")
   ENDIF()
   MESSAGE("Building static executables")
   SET(CMAKE_FIND_LIBRARY_SUFFIXES ".a")
   SET(Boost_USE_STATIC_LIBS       ON)
   SET(CMAKE_EXE_LINKER_FLAGS      "-static")
ELSE()
   IF (NOT WITH_SHARED_LIBRARIES)
      MESSAGE(FATAL_ERROR "STATIC_BUILD=OFF cannot be used with WITH_SHARED_LIBRARIES=OFF!")
   ENDIF()
ENDIF()

OPTION(WITH_HIPERCONTRACER  "Build HiPerConTracer"                      1)
OPTION(WITH_TRIGGER         "Build HiPerConTracer Trigger"              1)
OPTION(WITH_IMPORTER        "Build HiPerConTracer Importer"             1)
OPTION(WITH_SYNC            "Build HiPerConTracer Synchronisation Tool" 1)
OPTION(WITH_RTUNNEL         "Build HiPerConTracer Reverse Tunnel Tool"  1)
OPTION(WITH_NODE            "Build HiPerConTracer Node Tools"           1)
OPTION(WITH_COLLECTOR       "Build HiPerConTracer Collector Tools"      1)
OPTION(WITH_QUERY           "Build HiPerConTracer Query Tool"           1)
OPTION(WITH_RESULTS         "Build HiPerConTracer Results Tool"         1)
OPTION(WITH_VIEWER          "Build HiPerConTracer Viewer Tool"          1)
OPTION(WITH_DBSHELL         "Build HiPerConTracer Database Shell"       1)
OPTION(WITH_DBEAVER_TOOLS   "Build HiPerConTracer DBeaver Tools"        1)
OPTION(WITH_PIPE_CHECKSUM   "Build Pipe Checksum Tool"                  1)
OPTION(WITH_UDP_ECHO_SERVER "Build UDP Echo Server"                     1)
OPTION(WITH_ICONS           "Build HiPerConTracer icons and logo files" 1)


#############################################################################
#### COMPILER FLAGS                                                      ####
#############################################################################

IF(CMAKE_SYSTEM_PROCESSOR STREQUAL "riscv64")
   STRING(APPEND CMAKE_C_STANDARD_LIBRARIES   " -latomic")
   STRING(APPEND CMAKE_CXX_STANDARD_LIBRARIES " -latomic")
ENDIF()


#############################################################################
#### REQUIREMENTS                                                        ####
#############################################################################

# ====== Threads ============================================================
FIND_PACKAGE(Threads REQUIRED)

# ====== Boost ==============================================================
IF(CMAKE_VERSION VERSION_GREATER_EQUAL "3.30")
   # Use BoostConfig.cmake to find BOOST libraries, if possible.
   CMAKE_POLICY(SET CMP0167 NEW)
ENDIF()
FIND_PACKAGE(Boost REQUIRED COMPONENTS log date_time system thread iostreams filesystem program_options)
IF (NOT Boost_FOUND)
   MESSAGE(FATAL_ERROR "Cannot find Boost libraries!")
ELSE()
  INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
ENDIF()
IF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
   ADD_DEFINITIONS(-DBOOST_ALL_DYN_LINK)   # <<-- Required to handle BOOST Log link problem!
ENDIF()

# ====== INotify ============================================================
IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
   SET(INotify_FOUND TRUE)
   SET(INotify_LIBRARIES "")
   SET(INotify_INCLUDE_DIRS "")
ELSE()
   FIND_LIBRARY(INotify_LIBRARIES NAMES inotify)
   FIND_PATH(INotify_INCLUDE_DIRS NAMES sys/inotify.h)
ENDIF()

# ====== libz ===============================================================
FIND_LIBRARY(Z_LIBRARY NAMES z)
IF (NOT Z_LIBRARY)
   MESSAGE(FATAL_ERROR
           " Cannot find Z library! Try:\n"
           " * Ubuntu/Debian: sudo apt install -y zlib1g-dev\n"
           " * Fedora:        sudo dnf install -y zlib-ng-compat-devel\n"
           " * SuSE:          sudo zypper install -y zlib-devel\n"
           " * Alpine:        sudo apk add zlib-ng-dev\n"
           " * FreeBSD:       sudo pkg install -y ???")
ENDIF()

# ====== libbz2 =============================================================
FIND_LIBRARY(BZ2_LIBRARY NAMES bz2)
IF (NOT BZ2_LIBRARY)
   MESSAGE(FATAL_ERROR
           " Cannot find BZ2 library! Try:\n"
           " * Ubuntu/Debian: sudo apt install -y libbz2-dev\n"
           " * Fedora:        sudo dnf install -y bzip2-devel\n"
           " * SuSE:          sudo zypper install -y libbz2-devel\n"
           " * Alpine:        sudo apk add bzip2-dev\n"
           " * FreeBSD:       sudo pkg install -y bzip2")
ENDIF()

# ====== liblzma ============================================================
FIND_LIBRARY(LZMA_LIBRARY NAMES lzma)
IF (NOT LZMA_LIBRARY)
   MESSAGE(FATAL_ERROR
           " Cannot find LZMA library! Try:\n"
           " * Ubuntu/Debian: sudo apt install -y liblzma-dev\n"
           " * Fedora:        sudo dnf install -y xz-devel\n"
           " * SuSE:          sudo zypper install -y xz-devel\n"
           " * Alpine:        sudo apk add xz-dev\n"
           " * FreeBSD:       sudo pkg install -y lzmalib")
ENDIF()

# ====== C-ARES =============================================================
# IF (WITH_HIPERCONTRACER)
#    FIND_LIBRARY(CARES_LIBRARY NAMES cares libcares)
#    IF (NOT CARES_LIBRARY)
#       MESSAGE(FATAL_ERROR
#             " Cannot find C-ARES DNS resolver library! Try:\n"
#             " * Ubuntu/Debian: sudo apt install -y libc-ares-dev\n"
#             " * Fedora:        sudo dnf install -y c-ares-devel\n"
#             " * SuSE:          sudo zypper install -y c-ares-devel\n"
#             " * Alpine:        sudo apk add c-ares-dev\n"
#             " * FreeBSD:       sudo pkg install -y c-ares")
#    ENDIF()
# ENDIF()

# ====== libcrypto ==========================================================
IF (WITH_PIPE_CHECKSUM)
   FIND_LIBRARY(CRYPTO_LIBRARY crypto libcrypto)
   IF (NOT CRYPTO_LIBRARY)
      MESSAGE(FATAL_ERROR
              " Cannot find libcrypto library! Try:\n"
              " * Ubuntu/Debian: sudo apt install -y libssl-dev\n"
              " * Fedora:        sudo dnf install -y openssl-devel\n"
              " * SuSE:          sudo zypper install -y openssl-devel\n"
              " * Alpine:        sudo apk add openssl-dev\n"
              " * FreeBSD:       sudo pkg install -y openssl")
   ENDIF()
ENDIF()

# ====== Database client libraries ==========================================
IF (WITH_IMPORTER)

   # ------ Debug backend ---------------------------------------------------

=== freebsd/hipercontracer/Makefile ===
PORTNAME=	hipercontracer
DISTVERSION=	2.0.12
CATEGORIES=	benchmarks
MASTER_SITES=	https://www.nntb.no/~dreibh/hipercontracer/download/

MAINTAINER=	dreibh@simula.no
COMMENT=	High-Performance Connectivity Tracer (HiPerConTracer)
WWW=		https://www.nntb.no/~dreibh/hipercontracer/

LICENSE=	GPLv3+
LICENSE_FILE=	${WRKSRC}/COPYING

LIB_DEPENDS=	libboost_date_time.so:devel/boost-libs \
		libboost_filesystem.so:devel/boost-libs \
		libboost_iostreams.so:devel/boost-libs \
		libboost_log.so:devel/boost-libs \
		libboost_program_options.so:devel/boost-libs \
		libboost_system.so:devel/boost-libs \
		libboost_thread.so:devel/boost-libs \
		libinotify.so:devel/libinotify
RUN_DEPENDS=	getopt>=0:misc/getopt

USES=		cmake compiler:c++20-lang desktop-file-utils python \
		shared-mime-info shebangfix ssl tar:xz
USE_LDCONFIG=	yes
# Work-around for build issue #285706 on ARM (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=285706):
MAKE_ENV=	OMP_NUM_THREADS=1

SHEBANG_FILES=	src/results-examples/r-install-dependencies \
		src/results-examples/r-ping-example \
		src/results-examples/r-traceroute-example \
		src/TestDB/generate-test-certificates

PLIST_SUB=	DISTVERSION=${DISTVERSION}

OPTIONS_DEFINE=		COLLECTOR DBEAVERTOOLS DBSHELL ICONS IMPMARIADB \
			IMPMONGO IMPORTER IMPPGSQL NODE QUERYTOOL RESULTSTOOL \
			RTUNNEL SYNC TRIGGER UDPECHO VIEWERTOOL
OPTIONS_DEFAULT=	COLLECTOR DBEAVERTOOLS DBSHELL ICONS IMPMARIADB \
			IMPMONGO IMPORTER IMPPGSQL NODE QUERYTOOL RESULTSTOOL \
			RTUNNEL SYNC TRIGGER UDPECHO VIEWERTOOL
COLLECTOR_DESC=		Build HiPerConTracer Collector Tools"
DBEAVERTOOLS_DESC=	Build DBeaver Tools
DBSHELL_DESC=		Build DBShell
ICONS_DESC=		Build Icons and Logo Files
IMPMARIADB_DESC=	Enable MariaDB/MySQL support for HiPerConTracer Importer Tool
IMPMONGO_DESC=		Enable MongoDB support for HiPerConTracer Importer Tool
IMPORTER_DESC=		Build HiPerConTracer Importer Tool
IMPPGSQL_DESC=		Enable PostgreSQL support for HiPerConTracer Importer Tool
NODE_DESC=		Build HiPerConTracer Node Tools"
QUERYTOOL_DESC=		Build HiPerConTracer Query Tool
RESULTSTOOL_DESC=	Build HiPerConTracer Results Tool
RTUNNEL_DESC=		Build HiPerConTracer Reverse Tunnel Tool"
SYNC_DESC=		Build HiPerConTracer Synchronisation Tool
TRIGGER_DESC=		Build HiPerConTracer Trigger Tool
UDPECHO_DESC=		Build UDP Echo Server
VIEWERTOOL_DESC=	Build HiPerConTracer Viewer Tool

COLLECTOR_CMAKE_BOOL=		WITH_COLLECTOR
DBEAVERTOOLS_CMAKE_BOOL=	WITH_DBEAVER_TOOLS
DBSHELL_CMAKE_BOOL=		WITH_DBSHELL
ICONS_BUILD_DEPENDS=		gm:graphics/GraphicsMagick \
				gs:print/ghostscript10 \
				pdf2svg:graphics/pdf2svg
ICONS_CMAKE_BOOL=		WITH_ICONS
IMPMARIADB_LIB_DEPENDS=		libmariadb.so:databases/mariadb106-client
IMPMARIADB_CMAKE_BOOL=		ENABLE_BACKEND_MARIADB
IMPMONGO_LIB_DEPENDS=		libbson-1.0.so:devel/libbson \
				libmongoc-1.0.so:devel/mongo-c-driver
IMPMONGO_CMAKE_BOOL=		ENABLE_BACKEND_MONGODB
IMPORTER_CMAKE_BOOL=		WITH_IMPORTER
IMPPGSQL_LIB_DEPENDS=		libpqxx.so:databases/postgresql-libpqxx
IMPPGSQL_CMAKE_BOOL=		ENABLE_BACKEND_POSTGRESQL
NODE_CMAKE_BOOL=		WITH_NODE
QUERYTOOL_CMAKE_BOOL=		WITH_QUERY
RESULTSTOOL_CMAKE_BOOL=		WITH_RESULTS
RTUNNEL_CMAKE_BOOL=		WITH_RTUNNEL
SYNC_CMAKE_BOOL=		WITH_SYNC
TRIGGER_CMAKE_BOOL=		WITH_TRIGGER
UDPECHO_CMAKE_BOOL=		WITH_UDP_ECHO_SERVER
VIEWERTOOL_CMAKE_BOOL=		WITH_VIEWER

.include <bsd.port.mk>

=== src/SQL/CMakeLists.txt ===
# ==========================================================================
#     _   _ _ ____            ____          _____
#    | | | (_)  _ \ ___ _ __ / ___|___  _ _|_   _| __ __ _  ___ ___ _ __
#    | |_| | | |_) / _ \ '__| |   / _ \| '_ \| || '__/ _` |/ __/ _ \ '__|
#    |  _  | |  __/  __/ |  | |__| (_) | | | | || | | (_| | (_|  __/ |
#    |_| |_|_|_|   \___|_|   \____\___/|_| |_|_||_|  \__,_|\___\___|_|
#
#       ---  High-Performance Connectivity Tracer (HiPerConTracer)  ---
#                 https://www.nntb.no/~dreibh/hipercontracer/
# ==========================================================================
#
# High-Performance Connectivity Tracer (HiPerConTracer)
# Copyright (C) 2015-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: dreibh@simula.no

#############################################################################
#### EXAMPLES                                                            ####
#############################################################################

INSTALL(FILES
           README-MySQL+MariaDB.md
           README-PostgreSQL.md
           mariadb-database.sql
           mariadb-delete-all-rows.sql
           mariadb-schema.sql
           mariadb-test.sql
           mariadb-users.sql
           postgresql-database.sql
           postgresql-delete-all-rows.sql
           postgresql-schema.sql
           postgresql-test.sql
           postgresql-users.sql
        DESTINATION ${CMAKE_INSTALL_DATADIR}/hipercontracer/SQL)

=== debian/changelog ===
hipercontracer (2.0.12-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Tue, 15 Apr 2025 13:00:16 +0200

hipercontracer (2.0.11-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Fri, 11 Apr 2025 16:19:44 +0200

hipercontracer (2.0.10-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Thu, 10 Apr 2025 11:39:30 +0200

hipercontracer (2.0.9-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Tue, 08 Apr 2025 17:38:09 +0200

hipercontracer (2.0.8-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Fri, 04 Apr 2025 16:04:12 +0200

hipercontracer (2.0.7-1ubuntu1) noble; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <dreibh@simula.no>  Thu, 03 Apr 2025 11:51:36 +0200

hipercontracer (2.0.6-1ubuntu1) noble; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.1.

 -- Thomas Dreibholz <dreibh@simula.no>  Mon, 31 Mar 2025 15:51:05 +0200

hipercontracer (2.0.5-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Mon, 17 Feb 2025 19:14:51 +0100

hipercontracer (2.0.4-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Sun, 16 Feb 2025 11:52:23 +0100

hipercontracer (2.0.3-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Sun, 16 Feb 2025 11:00:11 +0100

hipercontracer (2.0.2-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 29 Jan 2025 16:34:39 +0100

hipercontracer (2.0.1-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Tue, 28 Jan 2025 16:41:15 +0100

hipercontracer (2.0.0-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Fri, 20 Dec 2024 13:37:08 +0100

hipercontracer (1.6.10-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 06 Dec 2023 16:54:11 +0100

hipercontracer (1.6.9-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Thu, 21 Sep 2023 17:13:31 +0200

hipercontracer (1.6.8-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * Build fix for recent BOOST versions (Closes: #1029783).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Tue, 18 Apr 2023 21:09:46 +0200

hipercontracer (1.6.7-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 22 Jan 2023 22:44:08 +1100

hipercontracer (1.6.6-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 11 Sep 2022 13:05:11 +0200

hipercontracer (1.6.5-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * CMakeLists.txt fix for reproducible Debian build (Closes: #1003995).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 16 Feb 2022 12:47:38 +0100

hipercontracer (1.6.4-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 03 Dec 2021 20:02:54 +0100

hipercontracer (1.6.3-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * Closes: #997090 (ITP).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 08 Nov 2021 20:11:16 +0100

hipercontracer (1.6.2-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 03 Nov 2021 22:56:10 +0100

hipercontracer (1.6.1-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.0.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 01 Sep 2021 11:07:55 +0200

hipercontracer (1.6.0-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 03 May 2021 14:48:43 +0200

hipercontracer (1.5.0-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.1.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sat, 06 Mar 2021 23:41:18 +0100

hipercontracer (1.4.12-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 18 Nov 2020 14:48:14 +0100

hipercontracer (1.4.11-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sat, 14 Nov 2020 15:38:40 +0100

hipercontracer (1.4.10-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.3.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 13 Nov 2020 19:00:02 +0100

hipercontracer (1.4.9-1ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 28 Apr 2020 12:15:42 +0200

hipercontracer (1.4.8-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 24 Apr 2020 12:38:46 +0200

hipercontracer (1.4.7-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 07 Feb 2020 13:21:55 +0100

hipercontracer (1.4.6-1ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 12 Aug 2019 13:25:07 +0200

hipercontracer (1.4.5-1ubuntu1) eoan; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.4.0.1.



=== debian/control ===
Source: hipercontracer
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <dreibh@simula.no>
Homepage: https://www.nntb.no/~dreibh/hipercontracer/
Vcs-Git: https://github.com/dreibh/hipercontracer.git
Vcs-Browser: https://github.com/dreibh/hipercontracer
Build-Depends: cmake (>= 3.10),
               debhelper (>= 12),
               ghostscript,
               graphicsmagick,
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-log-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libbz2-dev,
               liblzma-dev,
               libmariadb-dev,
               libmongoc-dev,
               libpqxx-dev,
               pdf2svg,
               zlib1g-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: hipercontracer
Architecture: any
Depends: hipercontracer-common,
         iproute2,
         libhipercontracer2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ethtool,
            hipercontracer-viewer
Suggests: hipercontracer-collector,
          hipercontracer-dbeaver-tools,
          hipercontracer-dbshell,
          hipercontracer-importer,
          hipercontracer-node,
          hipercontracer-query,
          hipercontracer-results,
          hipercontracer-sync,
          hipercontracer-trigger,
          hipercontracer-udp-echo-server,
          netperfmeter,
          td-system-info
Description: High-Performance Connectivity Tracer (HiPerConTracer)
 High-Performance Connectivity Tracer (HiPerConTracer) is a Ping/Traceroute
 measurement framework. HiPerConTracer denotes the actual measurement
 tool. It performs regular Ping and Traceroute runs among sites, featuring:
 multi-transport-protocol support (ICMP, UDP); multi-homing and parallelism
 support; handling of load balancing in the network; multi-platform
 support (currently Linux and FreeBSD); high-precision (nanoseconds)
 timing support (Linux timestamping, both software and hardware); a
 library (shared/static) to integrate measurement functionality into other
 software (libhipercontracer); open source and written in a performance-
 and portability-focused programming language (C++) with only limited
 dependencies.
 .
 Furthermore, the HiPerConTracer Framework furthermore provides additional
 tools for helping to obtain, process, collect, store, and retrieve
 measurement data: HiPerConTracer Viewer Tool for displaying the contents
 of results files; Results Tool for merging and converting results files,
 e.g. to create a Comma-Separated Value (CSV) file; Sync Tool for copying data
 from a measurement node (vantage point) to a remote HiPerConTracer Collector
 server (via RSync/SSH); Reverse Tunnel Tool for maintaining a reverse SSH
 tunnel from a remote measurement node to a HiPerConTracer Collector server;
 Collector/Node Tools for simplifying the setup of HiPerConTracer Nodes and a
 HiPerConTracer Collector server; Trigger Tool for triggering HiPerConTracer
 measurements in the reverse direction; Importer Tool for storing measurement
 data from results files into SQL or NoSQL databases. Currently, database
 backends for MariaDB/MySQL PostgreSQL, MongoDB) are provided; Query
 Tool for querying data from a database and storing it into a results
 file; Database Shell as simple command-line front-end for the underlying
 database backends; Database Tools with some helper scripts to e.g. to join
 HiPerConTracer database configurations into an existing DBeaver (a popular
 SQL database GUI application) configuration; UDP Echo Server as UDP Echo
 (RFC 862) protocol endpoint; Wireshark dissector for HiPerConTracer packets.
 .
 This package contains the actual HiPerConTracer program.

Package: hipercontracer-common
Architecture: all
Depends: passwd,
         ${misc:Depends}
Suggests: python3,
          r-base-core
Description: HiPerConTracer common files
 High-Performance Connectivity Tracer (HiPerConTracer) is a Ping/Traceroute
 measurement framework. HiPerConTracer denotes the actual measurement
 tool. It performs regular Ping and Traceroute runs among sites, featuring:
 multi-transport-protocol support (ICMP, UDP); multi-homing and parallelism
 support; handling of load balancing in the network; multi-platform
 support (currently Linux and FreeBSD); high-precision (nanoseconds)
 timing support (Linux timestamping, both software and hardware); a
 library (shared/static) to integrate measurement functionality into other
 software (libhipercontracer); open source and written in a performance-
 and portability-focused programming language (C++) with only limited
 dependencies.
 .
 Furthermore, the HiPerConTracer Framework furthermore provides additional
 tools for helping to obtain, process, collect, store, and retrieve
 measurement data: HiPerConTracer Viewer Tool for displaying the contents
 of results files; Results Tool for merging and converting results files,
 e.g. to create a Comma-Separated Value (CSV) file; Sync Tool for copying data
 from a measurement node (vantage point) to a remote HiPerConTracer Collector
 server (via RSync/SSH); Reverse Tunnel Tool for maintaining a reverse SSH
 tunnel from a remote measurement node to a HiPerConTracer Collector server;
 Collector/Node Tools for simplifying the setup of HiPerConTracer Nodes and a
 HiPerConTracer Collector server; Trigger Tool for triggering HiPerConTracer
 measurements in the reverse direction; Importer Tool for storing measurement
 data from results files into SQL or NoSQL databases. Currently, database
 backends for MariaDB/MySQL PostgreSQL, MongoDB) are provided; Query
 Tool for querying data from a database and storing it into a results
 file; Database Shell as simple command-line front-end for the underlying
 database backends; Database Tools with some helper scripts to e.g. to join
 HiPerConTracer database configurations into an existing DBeaver (a popular
 SQL database GUI application) configuration; UDP Echo Server as UDP Echo
 (RFC 862) protocol endpoint; Wireshark dissector for HiPerConTracer packets.
 .
 The package contains common files for HiPerConTracer and the HiPerConTracer
 Tools packages.

Package: libhipercontracer2
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: API library of HiPerConTracer
 High-Performance Connectivity Tracer (HiPerConTracer) is a Ping/Traceroute
 measurement framework. HiPerConTracer denotes the actual measurement
 tool. It performs regular Ping and Traceroute runs among sites, featuring:
 multi-transport-protocol support (ICMP, UDP); multi-homing and parallelism
 support; handling of load balancing in the network; multi-platform
 support (currently Linux and FreeBSD); high-precision (nanoseconds)
 timing support (Linux timestamping, both software and hardware); a
 library (shared/static) to integrate measurement functionality into other
 software (libhipercontracer); open source and written in a performance-
 and portability-focused programming language (C++) with only limited
 dependencies.
 .
 Furthermore, the HiPerConTracer Framework furthermore provides additional
 tools for helping to obtain, process, collect, store, and retrieve
 measurement data: HiPerConTracer Viewer Tool for displaying the contents
 of results files; Results Tool for merging and converting results files,
 e.g. to create a Comma-Separated Value (CSV) file; Sync Tool for copying data
 from a measurement node (vantage point) to a remote HiPerConTracer Collector
 server (via RSync/SSH); Reverse Tunnel Tool for maintaining a reverse SSH
 tunnel from a remote measurement node to a HiPerConTracer Collector server;
 Collector/Node Tools for simplifying the setup of HiPerConTracer Nodes and a
 HiPerConTracer Collector server; Trigger Tool for triggering HiPerConTracer
 measurements in the reverse direction; Importer Tool for storing measurement
 data from results files into SQL or NoSQL databases. Currently, database
 backends for MariaDB/MySQL PostgreSQL, MongoDB) are provided; Query
 Tool for querying data from a database and storing it into a results
 file; Database Shell as simple command-line front-end for the underlying
 database backends; Database Tools with some helper scripts to e.g. to join
 HiPerConTracer database configurations into an existing DBeaver (a popular
 SQL database GUI application) configuration; UDP Echo Server as UDP Echo
 (RFC 862) protocol endpoint; Wireshark dissector for HiPerConTracer packets.
 .
 The HiPerConTracer library is provided by this package.

Package: libhipercontracer-dev
Section: libdevel
Architecture: any
Depends: libboost-date-time-dev,
         libboost-filesystem-dev,
         libboost-iostreams-dev,
         libboost-log-dev,
         libboost-system-dev,
         libboost-thread-dev,
         libhipercontracer2 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for HiPerConTracer API library
 High-Performance Connectivity Tracer (HiPerConTracer) is a Ping/Traceroute
 measurement framework. HiPerConTracer denotes the actual measurement
 tool. It performs regular Ping and Traceroute runs among sites, featuring:
 multi-transport-protocol support (ICMP, UDP); multi-homing and parallelism
 support; handling of load balancing in the network; multi-platform
 support (currently Linux and FreeBSD); high-precision (nanoseconds)
 timing support (Linux timestamping, both software and hardware); a
 library (shared/static) to integrate measurement functionality into other
 software (libhipercontracer); open source and written in a performance-
 and portability-focused programming language (C++) with only limited
 dependencies.
 .
 Furthermore, the HiPerConTracer Framework furthermore provides additional
 tools for helping to obtain, process, collect, store, and retrieve
 measurement data: HiPerConTracer Viewer Tool for displaying the contents
 of results files; Results Tool for merging and converting results files,
 e.g. to create a Comma-Separated Value (CSV) file; Sync Tool for copying data
 from a measurement node (vantage point) to a remote HiPerConTracer Collector
 server (via RSync/SSH); Reverse Tunnel Tool for maintaining a reverse SSH
 tunnel from a remote measurement node to a HiPerConTracer Collector server;
 Collector/Node Tools for simplifying the setup of HiPerConTracer Nodes and a
 HiPerConTracer Collector server; Trigger Tool for triggering HiPerConTracer
 measurements in the reverse direction; Importer Tool for storing measurement
 data from results files into SQL or NoSQL databases. Currently, database
 backends for MariaDB/MySQL PostgreSQL, MongoDB) are provided; Query
 Tool for querying data from a database and storing it into a results
 file; Database Shell as simple command-line front-end for the underlying
 database backends; Database Tools with some helper scripts to e.g. to join
 HiPerConTracer database configurations into an existing DBeaver (a popular
 SQL database GUI application) configuration; UDP Echo Server as UDP Echo
 (RFC 862) protocol endpoint; Wireshark dissector for HiPerConTracer packets.
 .
 This package provides header files for the HiPerConTracer library. You need
 them to integrate HiPerConTracer into own programs.

Package: libuniversalimporter2
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: API library of HiPerConTracer Universal Importer
 High-Performance Connectivity Tracer (HiPerConTracer) is a Ping/Traceroute
 measurement framework. HiPerConTracer denotes the actual measurement
 tool. It performs regular Ping and Traceroute runs among sites, featuring:
 multi-transport-protocol support (ICMP, UDP); multi-homing and parallelism
 support; handling of load balancing in the network; multi-platform
 support (currently Linux and FreeBSD); high-precision (nanoseconds)
